{
"README":"Please check this file on https://jsoneditoronline.org/ after your modification",
"VivoVersion":"202002012130",

"VoipClccProcessWhiteList":[
{
"Note":"某些设备在不作为active device的情况下，会根据我们回复的CLCC挂断sco等，即使我们回复的CLCC是正确的，所以通过CLCC和AT+CHUP的时间差来判断是否为此类设备，此白名单规避误判"
}
],

"WatchDeviceSpecialList":[
{
"Note":"此类为特殊手表设备。摘下手表会连接A2dp，视为耳机设备；戴到手上会断开A2dp，视为手表",
"DeviceName":"HUAWEI B"
}
],

"WatchDeviceList":[
{
"Note":"此类手表不能用watchinfo里面条件判断为watch,此名单用来兜底",
"DeviceName":"DPD2105"
}
],

"WithoutHfpVirtualCallBlackList":[
{
"DeviceName":"HUAWEI-WATCH"
},
{
"DeviceName":"HUAWEI WATCH GT"
 },
{
"DeviceName":"Gear S"
},
{
"DeviceName":"HONOR MagicWatch 2"
},
{
"Note":"vivo songhuajie add for B200729-299",
"DeviceName":"OPPO Watch"
},
{
"Note":"vivo zhongkang add for B200817-470",
"DeviceName":"Galaxy Watch"
},
{
"Note":"vivo zhongkang add for B200901-2662",
"DeviceName":"BT201-AUDIO"
},
{
"Note":"vivo caizheng add for B210315-2497",
"DeviceName":"HONOR Watch GS Pro"
}
],

"headsetAutoPlayListed":[
{
"Note":"the headset auto play Name, Airpods B200708-2717",
"DeviceAddr":"0E:00:15:B9:1D:5F"
}
],

"BtAutoPlayList":[
{
"DeviceAddr":"28:A1:83",
"DeviceName":"VW Radio"
},
{
"DeviceAddr":"74:6f:f7",
"DeviceName":"Uconnect"
},
{
"Note":"90:3A:E6:05:E3:8B CS75 B210106-3211",
"DeviceAddr":"90:3A:E6",
"DeviceName":"CS75"
}
],

"BtNonAutoPlayList":[
],

"playerStateForceUpdataPlayList":[
{
"Note": "vivo zhongkang add for B201122-266",
"DeviceName": "VW Radio1",
"DeviceAddr": "58:16:D7"
}
],
"playerStateUpdateBlackList":[
{
"Note":"if match this list, avrcp will follow avdtp. mtk uses INTEROP_AVRCP_USE_A2DP_ONLY in interop_database.conf."
},
{
"Note":"00:15:83:40:b4:27, Name: BC BTS",
"DeviceAddr":"00:15:83",
"DeviceName":"BC BTS"
},
{
"Note":"bc-30-7e-5e-f6-27, Name: Porsche BT 0310; bc-30-7e-8c-22-cb, Name: Audi MMI 1193",
"DeviceAddr":"BC:30:7E",
"DeviceName":"Audi"
},
{
"Note":"2C-DC-AD-BB-2F-25, Name: PORSCHE",
"DeviceAddr":"2C:DC:AD",
"DeviceName":"Porsche"
},
{
"Note":"00-1e-43-14-f0-68, Name: Audi MMI 4365",
"DeviceAddr":"00:1E:43"
},
{
"Note":"9C:DF:03:D3:C0:17, Name: Benz S600L",
"DeviceAddr":"9C:DF:03"
},
{
"Note":"9C:8D:7C:23:66:69, Name: VW Radio",
"DeviceAddr":"9C:8D:7C"
},
{
"Note":"00:0A:08:51:1E:E7, Name: BMW530",
"DeviceAddr":"00:0A:08",
"DeviceName":"BMW"
},
{
"Note":"00-04-79-00-06-bc, Name: radius HP-BTL01",
"DeviceAddr":"00:04:79"
},
{
"Note":"28-A1-83-94-90-AE, Name: VW Radio",
"DeviceAddr":"28:A1:83"
},
{
"Note":"A6:7E:BA:9B:40:07, Name Android BT",
"DeviceAddr":"A6:7E:BA"
},
{
"Note":"30-c3-d9-8d-5b-83, Name: VW RadioBin",
"DeviceAddr":"30:c3:d9"
},
{
"Note":"84:EB:18:A3:8A:A7, Name: CHEVROLET",
"DeviceAddr":"84:EB:18",
"DeviceName":"CHEVROLET"
},
{
"Note":"48-a9-d2-ed-78-cd, Name: VM BT 8087",
"DeviceAddr":"48:A9:D2",
"DeviceName":"VM BT 8087"
},
{
"Note":"90-3A-E6-05-E3-88, Name: CS75",
"DeviceAddr":"90:3A:E6",
"DeviceName":"CS75"
},
{
"Note":"30-c3-d9-50-59-ca, Name: VW Radio",
"DeviceAddr":"30:C3:D9",
"DeviceName":"VW"
},
{
"Note":"d4-ca-6e-30-29-00, Name: My_T90(30:29:00)",
"DeviceAddr":"D4:CA:6E",
"DeviceName":"My_T90"
},
{
"Note":"BC:75:36:D2:05:A9 Name:unknown",
"DeviceAddr":"BC:75:36"
},
{
"Note":"74:95:EC:51:26:B6, Name: VW Radio",
"DeviceAddr":"74:95:EC"
},
{
"Note":"83:17:66:22:52:42, Name: ANDROID BT",
"DeviceAddr":"83:17:66"
},
{
"Note":"00:54:AF:44:01:E3, Name: BT_PEUGEOT",
"DeviceAddr":"00:54:AF"
},
{
"Note":"B201028-975 00:17:53:D8:FD:E6, Name: Geely",
"DeviceAddr":"00:17:53"
},
{
"Note":"B200921-1902 74:95:EC:67:E1:96, Name: myBuick",
"DeviceAddr":"74:95:EC"
},
{
"Note":"B200928-1760 FC:62:B9:4F:4F:C5, Name: CAR_MULTIMEDIA",
"DeviceAddr":"FC:62:B9"
},
{
"Note":"A0-56-B2-57-CB-FC, Name: BMW55555 (BMW 5 Series 2019)",
"DeviceAddr":"A0:56:B2"
},
{
"Note":"68:9E:19:B6:EE:A4, Name: BUICK",
"DeviceAddr":"68:9E:19"
},
{
"Note":"00:15:83:40:B4:27, Name: BC BT",
"DeviceAddr":"00:15:83"
},
{
"Note":"00:0B:0B:01:7B:04, Name: K10C",
"DeviceAddr":"00:0B:0B"
},
{
"Note":"74:6F:F7:93:0F:A6, Name:myChevrolet",
"DeviceAddr":"74:6F:F7"
},
{
"Note":"00:23:05:20:0E:30, Name:ZR100",
"DeviceAddr":"00:23:05"
}
],

"playerStateUpdateWhiteList":[
{
"Note":"04:fe:a1:55:73:fa, Name: JBL Clip 2 B191129-2775",
"DeviceAddr":"04:FE:A1",
"DeviceName":"JBL"
},
{
"Note":"00:22:A0:4B:64:74, Name:CHEVY",
"DeviceAddr":"00:22:A0"
},
{
"DeviceAddr":"20:74:54",
"DeviceName":"vivo TWS Neo Pro"
},
{
"DeviceAddr":"D8:37:3B",
"DeviceName":"iQOO Wireless Sport"
},
{
"DeviceAddr":"D8:37:3B",
"DeviceName":"vivo Wireless Audio"
},
{
"DeviceAddr":"D8:37:3B",
"DeviceName":"vivo Wireless Sport Lite"
},
{
"DeviceAddr":"48:D8:45",
"DeviceName":"vivo Wireless Sport"
},
{
"DeviceAddr":"54:0E:2D",
"DeviceName":"vivo TWS Neo"
},
{
"DeviceAddr":"F8:23:87",
"DeviceName":"vivo TWS 1"
},
{
"DeviceAddr":"CC:81:2A",
"DeviceName":"vivo TWS 2"
}
],

"autoConnectDelayList":[
{
"Note":"58:16:D7:03:BE:C3, Name:Honda HFT sometimes it will conflict when dut connect carkit and carkit connect dut, delay serval seconds to connect",
"DeviceAddr":"58:16:D7"
},
{
"DeviceAddr":"00:23:3D"
},
{
"Note":"08:fa:79:00:8d:f9, Name:vivo Wireless Sport,when headset connect dut,headset and dut open av at the same time,and dut will reject remote req,and remote will disconnetc",
"DeviceAddr":"08:FA:79:00"
}
],

"DelayCallIndBlackList":[
{
"Note":"Beiqi Carkit",
"DeviceAddr":"00:15:83"
},
{
"Note":"BIAC Carkit",
"DeviceAddr":"2a:eb:00"
},
{
"Note":"BIAC series",
"DeviceAddr":"30:53:00"
},
{
"Note":"ADAYO Carkit",
"DeviceAddr":"00:17:53"
},
{
"Note":"Road Rover Carkit",
"DeviceAddr":"40:ef:4c"
},
{
"Note":"Tiguan RNS315",
"DeviceAddr":"00:07:04"
}
],

"ViopCallAlertingDelayBlackList":[
{
"DeviceAddr":"00:0D:18:A1"
},
{
"DeviceAddr":"40:EF:4C"
},
{
"DeviceAddr":"28:A1:83"
},
{
"Note":"vivo xieguanglin add for B180929-190",
"DeviceAddr":"AC:7A:4D"
},
{
"Note":"Honda HFP",
"DeviceAddr":"94:b2:cc"
}
],

"AddrToXaplBlackList":[
{
"Note":"Bose, PD1610[B170502-654]",
"DeviceAddr":"04:52:c7"
}
],

"VoipCallAlertingNotDelayList":[
{
"Note":"f4:15:fd:1e:eb:90 Name:Roewe 360",
"DeviceAddr":"f4:15:fd"
},
{
"Note":"add for TSXXFK-2021032500186 to avoid wechat call mute",
"DeviceName":"S-CROSS",
"DeviceAddr":"00:17:53:5B:9C:D8"
}
],

"BtLowLatencyFileVersion":[
{
"Note":"the file version",
"ConfigInfo":"1.0"
}
],

"BtLowLatencyApkNameList":[
{
"Note":"the package name whitelist for low latency",
"ConfigInfo":"com.superpowered.superpoweredlatency"
},
{
"ConfigInfo":"org.chromium.latency.walt"
}
],

"BtBleScanCallbackApkNameList":[
{
"Note":"the package name whitelist for ble scan result for aie",
"ConfigInfo":"com.vivo.aiengine"
},
{
"Note":"the package name whitelist for ble scan result for vivotws oversea",
"ConfigInfo":"com.vivo.tws.vivotws"
},
{
"Note":"the package name whitelist for ble scan result for vivotws domestic",
"ConfigInfo":"com.android.vivo.tws.vivotws"
},
{
"Note":"the package name whitelist for ble scan result",
"ConfigInfo":"com.vivo.vhome"
},
{
"Note":"the package name whitelist for ble scan result",
"ConfigInfo":"com.vivo.smartkeyboard"
}
],

"BtBleScanForegroundAppWhiteList":[
{
"Note":"the package name whitelist for starting ble scan",
"ConfigInfo":"com.nianticlabs.pokemongo"
},
{
"ConfigInfo":"com.vivo.share"
},
{
"ConfigInfo":"com.netease.onmyoji.vivo"
},
{
"ConfigInfo":"com.netease.onmyoji"
},
{
"ConfigInfo":"com.vivo.iotserver"
}
],

"BtBleScanParamsBlackList":[
{
"Note":"强制使名单中的应用使用和TWS应用相同的扫描参数",
"ConfigInfo":"com.google.android.gms"
}
],

"BtLowLatencyValue":[
{
"Note":"the value for low latency",
"ConfigInfo":"1"
}
],

"watchNotSetActive":[
{
"Note":"the value for low latency",
"ConfigInfo":"1"
}
],

"AptxLLDeviceBlackList":[
],

"avrcp_playstatus_follow_a2dp_config":[
{
"Note":"whether use avrcp pause blacklist forbid avrcp pause or forbid all pause when a2dp play",
"ConfigInfo":"true"
}
],

"avrcp_default_track_id_config":[
{
"Note":"the track id when the music app support or not support browsing",
"ConfigInfo":"0"
}
],

"dynamicEnableDevice":[
{
"Note":"高品质切SBC，max_bitpool = 37",
"DeviceName":"vivo Wireless Audio"
},
{
"DeviceName":"vivo Wireless Sport Lite"
},
{
"DeviceName":"iQOO Wireless Sport"
},
{
"DeviceAddr":"CC:81:2A",
"DeviceName":"vivo TWS 2"
},
{
"DeviceAddr":"CC:81:2A",
"DeviceName":"vivo TWS 2e"
}
],

"LdactoAptxCodecDevice":[
{
"Note":"List for some headset will silent when switch codec from SBC to other HD codec(APTX,LDAC ..etc)",
"DeviceAddr":"70:26:05",
"DeviceName":"WH-1000XM2"
},
{
"DeviceAddr":"70:26:05",
"DeviceName":"WI-1000X"
}
],

"vivoEarphone":[
{
"Note":"判定为vivo耳机，执行特殊逻辑，当前已有的是“禁止加入绝对音量黑名单B200609-1116”",
"DeviceAddr":"54:0E:2D",
"DeviceName":"vivo TWS Neo"
},
{
"DeviceAddr":"48:D8:45",
"DeviceName":"vivo Wireless Sport"
},
{
"DeviceAddr":"F8:23:87",
"DeviceName":"vivo TWS 1"
},
{
"DeviceAddr":"20:74:54",
"DeviceName":"vivo TWS Neo Pro"
},
{
"Note":"DPD2038外销",
"DeviceAddr":"D8:37:3B",
"DeviceName":"vivo Wireless Sport Lite"
},
{
"DeviceAddr":"D8:37:3B",
"DeviceName":"vivo Wireless Audio"
},
{
"DeviceAddr":"D8:37:3B",
"DeviceName":"iQOO Wireless Sport"
},
{
"DeviceAddr":"CC:81:2A",
"DeviceName":"vivo TWS 2"
},
{
"DeviceAddr":"CC:81:2A",
"DeviceName":"vivo TWS 2e"
}
],

"VivoPkgDevFound":[
{
"Note":"vivo定制应用，广播权限检查豁免，避免因谷歌权限检查导致的问题,外销",
"ConfigInfo":"com.vivo.tws.vivotws"
},
{
"Note":"vivo定制应用，广播权限检查豁免，避免因谷歌权限检查导致的问题,内销",
"ConfigInfo":"com.android.vivo.tws.vivotws"
}
],

"disableIphoneAccevBatteryBroadcast":[
{
"Note":"以下耳机不使用iPhone方式的10%精度的电量更新",
"DeviceName":"vivo Wireless Audio"
},
{
"DeviceName":"vivo Wireless Sport Lite"
},
{
"DeviceName":"iQOO Wireless Sport"
}
],
"rejectStartVrAfterConnected":[
{
"Note": "some headset auto send BVRA after hfp connected, not start VR in this case",
"DeviceAddr": "1F:F1:FB",
"DeviceName": "Devia-EM059"
},
{
"Note": "87:F6:B5:F6:5F:B6 Airpods(fake)",
"DeviceAddr": "87:F6:B5:F6:5F:B6"
}
],
"musicDelayResumeAfterScoDisconnectionDevices": [
{
"Note":"00:06:F5:FC:D4:D0 Audi MMI B210217-234 断开sco后,延迟1s同步上层headsetstatemachine的状态",
"DeviceAddr":"00:06:F5",
"DeviceName":"Audi MMI"
}
],
"BleScanTimeoutWhiteList":[
{
"Note":"allow some app to do ble scan over 5mins, it means apps in this list are exempt from scan timeout",
"ConfigInfo":"com.vivo.aiengine"
}
],
"abs_dynamic_BlackList_feature":[
{
"Note":"Turn off / on the abs dynamic blacklist function of Qualcomm",
"ConfigInfo":"false"
}
],

"VivoAbs_Lowest_adjust":[
{
"Note":"B210309-1418绝对音量精细化,见km,http://km.vivo.xyz/pages/viewpage.action?pageId=345600165",
"ConfigInfo":"true"
}
],

"SM8450MaxConnectedAudioDevices":[
{
"Note":"此平台最大连接数量",
"ConfigInfo":"5"
}
],

"abs_Exemptlist":[
{
"Note":"高通绝对音量动态黑名单功能豁免名单，该名单中的设备不受动态黑名单功能影响",
"DeviceAddr":"64:31:39",
"DeviceName":"Smartisan DS201"
}
]
}
